Bug 1462423 - Update on shutdown broken on encrypted devices.
Update on shutdown broken on encrypted devices.
Status: NEW
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2017-06-17 09:12 EDT by Frank Büttner
Modified: 2017-12-12 11:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-12 05:36:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2017-06-17 09:12:10 EDT
Description of problem:
When shutdown  the system an updates are available, than gnome ask to install it on shutdown. But it automatic only works on none encrypted file systems, because it do it this order:
1. reboot
2. boot to update stage
3. install the updates
4. shutdown.

But on encrypted devices the automatic update fails at part 2, because the system needs an password.

An better solution can be:
1. switch to the update stage without reboot/unmount
2. install the updates
3. shutdown the system.

Version-Release number of selected component (if applicable):

How reproducible:
Every time updates are available on system shutdown. 

Steps to Reproduce:
1. mark "Install update on shutdown"

Actual results:
The automatic process fails, because at the reboot phase it will wait for the password.

Expected results:
That the updates can be installed on shutdown without unlock the encrypted device.

Additional info:
I think at the bug, there are more components involved.
Gnome, systemd, dnf etc.
Comment 1 Florian Müllner 2017-06-18 10:16:15 EDT
gnome-shell only exposes an option of the underlying system, it's not involved at all in the actual update => reassigning to PackageKit.
Comment 2 Fedora End Of Life 2017-11-16 14:27:46 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:36:21 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Frank Büttner 2017-12-12 11:06:13 EST
same on F26

Note You need to log in before you can comment on or make changes to this bug.